@font-face {
  font-family: Samim;
  src: url('/file-directory/font/samim/Samim.eot');
  src: url('/file-directory/font/samim/Samim.eot?#iefix') format('embedded-opentype'),
       url('/file-directory/font/samim/Samim.woff2') format('woff2'),
       url('/file-directory/font/samim/Samim.woff') format('woff'),
       url('/file-directory/font/samim/Samim.ttf') format('truetype');
  font-weight: normal;
}

@font-face {
  font-family: Samim;
  src: url('/file-directory/font/samim/Samim-Bold.eot');
  src: url('/file-directory/font/samim/Samim-Bold.eot?#iefix') format('embedded-opentype'),
       url('/file-directory/font/samim/Samim-Bold.woff2') format('woff2'),
       url('/file-directory/font/samim/Samim-Bold.woff') format('woff'),
       url('/file-directory/font/samim/Samim-Bold.ttf') format('truetype');
  font-weight: bold;
}

@font-face {
  font-family: Samim;
  src: url('/file-directory/font/samim/Samim-Medium.eot');
  src: url('/file-directory/font/samim/Samim-Medium.eot?#iefix') format('embedded-opentype'),
       url('/file-directory/font/samim/Samim-Medium.woff2') format('woff2'),
       url('/file-directory/font/samim/Samim-Medium.woff') format('woff'),
       url('/file-directory/font/samim/Samim-Medium.ttf') format('truetype');
  font-weight: 500;
}

body {
  display: flex;
  justify-content: center;
  align-items: center;
  min-height: 95vh;  
  font-family: "Noto Sans", sans-serif;
  font-size: 20px;
  margin: 0;
  background-color: #fff;
  background-size: cover;
  background-repeat: no-repeat;
  padding: 0;
  color: #333;
  line-height: 1.6;
  flex-direction: column;
  overflow: hidden;
}

p {  
  text-align: justify; 
  font-size: 9px;
  text-align: justify;
}

a {
  color: #ff5f56;
  text-decoration:none;
  padding: 0px 5px 0px 5px;
}

a:hover{
    background-color: #ffe9e9;
}
::selection{
  background-color: #ffe9e9;
  color: #ff5f56;
}

.window {
  display: flex; 
  position: relative; 
  flex-direction: row-reverse; 
  justify-content: space-around;
  max-width: 600px;
  width: 300px;
  background: white;
  padding: 5px 0px 5px 0px;
}

.postbox{  
    font-weight: 400;
    font-family: Samim,Tahoma,"DejaVu Sans",helvetica,arial,freesans,sans-serif ;
    font-style: normal;
    width: 100%;
    display: flex;
    flex-direction: column;
    max-height: 350px;
    padding: 0px 5px;
    scrollbar-gutter: stable;
    overflow-y: scroll;
    overflow-x: hidden;
    scrollbar-width: none;
    border: 1px dashed #ededed;
}

.onepost{
  width: 100%;
  margin-top: 10px;
    display: block;
    height: auto;
    margin-bottom: 25px;
    direction: rtl;
        border-bottom: 1px solid #ededed;
}
.contentone {
    width: 100%;
    margin-top: 10px;
    display: block;
    height: auto;
    margin-bottom: 25px;
    direction: rtl;
}

.contentone a{
  color: #ffc107 ;  
  border-radius: 10px;
    transition: 0.5s ease;
        padding: 2px 8px 1px 8px;
        font-family: monospace;
}
.contentone a:hover{
  color: #ff5f56;
    
    background-color: #ffffff00;
}
.other-link-box{
  display: flex; 
  flex-wrap: wrap; 
  gap: 2px; 
}
a.other-link{
  display: contents;
}
.other-link a:hover{
  background: none;
}
.other-link img{
  height: 25px;
}
.menu {
  text-align: right; 
  display: flex;
  flex-direction: column;
  font-size: small;
  margin-left: 5px;
  gap: 10px;
  align-items: flex-start;
  font-size: x-small;
}

.empty {
  height: 15px; 
  background-color: #ffffff00; 
  width: 100%;
}

.left-main-section {
  display: flex; 
  flex-direction: column; 
  align-items: center; 
  pointer-events: auto;
}

.box404 {
  display: flex;
  flex-direction: column;
}


.section {
  display: none;
  flex-direction: column;
  align-items: center;
}

.flex-column-center {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
}


.main {
  flex-grow: 1;
  display: flex;
  flex-direction: column;
  gap: 5px;
  width: 220px;
  padding: 15px 10px;
}

.highlight {
  background: #f9f5c0;
}

.redhighlight {
  background: #ebccff;
}


/* ————— RESPONSIVE ————— */
@media (max-width: 768px) {
  body {
    padding: 20px;
  }

  p {
    font-size: 8px;
  }
  
  .window {
    margin: 0 auto;
  }

  .window-body {
    gap: 15px;
  }

}

@media (max-width: 480px) {
  body {
    padding: 10px;
  }

}
